Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1688830 - [RFE]UI changes to "Download Logs" list and "Detect Provider Changes"
Summary: [RFE]UI changes to "Download Logs" list and "Detect Provider Changes"
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.2
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.11.0
Assignee: Fabien Dupont
QA Contact: Shveta
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1683443 1693729
TreeView+ depends on / blocked
 
Reported: 2019-03-14 14:41 UTC by Avital Pinnick
Modified: 2019-03-28 14:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1693729 (view as bug list)
Environment:
Last Closed:
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)

Description Avital Pinnick 2019-03-14 14:41:41 UTC
"Download Logs" dropdown list

Please change the following list items so that the UI complies more closely with Red Hat style and usage:

- Change "Pre-migration log" to "Premigration log"
- Change "Post-migration log" to "Postmigration log"

"Detect Provider Changes" tooltip

Please change the text for the same reasons:

"Missing elements may indicate a change in your provider configuration. If you change the source or target provider, delete this mapping and create a new one."

(I changed "usually" to "may" because these errors can also be caused by not authenticating RHV hosts in CloudForms or by refreshing RHV hosts.)

Comment 2 Mike Turley 2019-03-14 20:47:25 UTC
https://github.com/ManageIQ/manageiq-v2v/pull/910

Comment 3 CFME Bot 2019-03-15 07:39:51 UTC
New commit detected on ManageIQ/manageiq-v2v/master:

https://github.com/ManageIQ/manageiq-v2v/commit/337ed377bf50f8c485e086e3ccbdf3f6a6c9c553
commit 337ed377bf50f8c485e086e3ccbdf3f6a6c9c553
Author:     Mike Turley <mturley@redhat.com>
AuthorDate: Thu Mar 14 16:45:36 2019 -0400
Commit:     Mike Turley <mturley@redhat.com>
CommitDate: Thu Mar 14 16:45:36 2019 -0400

    Update Download Log menu item names and mapping list error message

    https://bugzilla.redhat.com/show_bug.cgi?id=1688830

 app/javascript/react/screens/App/Mappings/components/InfrastructureMappingsList/InfrastructureMappingsList.js | 2 +-
 app/javascript/react/screens/App/Plan/components/PlanRequestDetailList/PlanRequestDetailList.js | 4 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Comment 5 Mike Turley 2019-03-18 18:59:18 UTC
My previous PR missed a few places where we had "pre-migration" and "post-migration", this PR gets the rest of them: https://github.com/ManageIQ/manageiq-v2v/pull/912

Comment 6 CFME Bot 2019-03-19 09:29:06 UTC
New commit detected on ManageIQ/manageiq-v2v/master:

https://github.com/ManageIQ/manageiq-v2v/commit/c557ae3bb401a5520bdfd15dc01244928deceaf6
commit c557ae3bb401a5520bdfd15dc01244928deceaf6
Author:     Mike Turley <mturley@redhat.com>
AuthorDate: Mon Mar 18 14:54:34 2019 -0400
Commit:     Mike Turley <mturley@redhat.com>
CommitDate: Mon Mar 18 14:54:34 2019 -0400

    Change 'pre-migration' and 'post-migration' to 'premigration' and 'postmigration' across the UI

    https://bugzilla.redhat.com/show_bug.cgi?id=1688830

 app/javascript/react/screens/App/Overview/screens/PlanWizard/PlanWizard.js | 2 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardAdvancedOptionsStep/PlanWizardAdvancedOptionsStep.js | 4 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardAdvancedOptionsStep/components/PlanWizardAdvancedOptionsStepTable/PlanWizardAdvancedOptionsStepTable.js | 4 +-
 app/javascript/react/screens/App/Plan/PlanConstants.js | 10 +-
 4 files changed, 10 insertions(+), 10 deletions(-)

Comment 7 Fabien Dupont 2019-03-22 08:00:35 UTC
Mike, is everything merged ? If so, could you move this BZ to POST.

Comment 8 Mike Turley 2019-03-22 19:56:26 UTC
Fabien, yes everything for this is merged. It looks like I don't actually have permission to change the Status of a BZ... unless I'm missing something unintuitive in the bugzilla UI :)


Note You need to log in before you can comment on or make changes to this bug.